Skip to content
Skip to main content
POST
/v3/webhooks/send-test-event

Send test event

Use this endpoint to check if your project's webhook destination is configured correctly. Nylas sends a test webhook payload to the webhook URL you specify, and listens for a success acknowledgement.

The secret used is mock-webhook-secret.

NYLAS API KEY

Request body

Destination definition

trigger_type*string

Select the type of event that will trigger the webhook. See the notification schemas for details about each trigger type.

See the Grants, Calendar, Events, and Messages references for information on how to trigger each event type.

You can test message.created.truncated and message.updated.truncated notifications using this endpoint. For more information, see Truncated webhooks.

calendar.createdcalendar.updatedcalendar.deletedevent.createdevent.updatedevent.deletedgrant.createdgrant.updatedgrant.deletedgrant.expiredmessage.send_successmessage.send_failedmessage.bounce_detectedmessage.createdmessage.created.truncatedmessage.created.cleanedmessage.updatedmessage.updated.truncatedcontact.updatedcontact.deletedfolder.createdfolder.updatedfolder.deletedmessage.openedmessage.link_clickedthread.replied
webhook_url*string

The URL to send webhooks to.

Example: "https://example.com/webhooks"

Responses

datastring

Indicates if the test event succeeded or failed.

Example: "success"
request_idstring

The ID for each request.

POSThttps://api.us.nylas.com/v3/webhooks/send-test-event

Find your API key in the Nylas Dashboard under API Keys in your application settings.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.